Subject: Re: Question about Mellanox FW reporting (incorrect) port types

From: Marcelo Ricardo Leitner <[email-masked]>
Date: Wed, 17 Oct 2012 16:49:41 -0300

On 10/17/2012 04:22 PM, Or Gerlitz wrote:
> Marcelo Ricardo Leitner <[email-masked]> wrote:
>>
>> [...] So my questions are: is it possible to the firmware report a wrong port type like
>> that? Is it somehow configurable by sysadmin (via fw update, ..), can we flip that byte
>> or is it a manufacturing issue?
>
>
> I'm not sure, Yevgeny/Yishai do you have any insights here?
>
>> I can't try upstream driver
>
> why?! netdev is dealing with upstream, isn't it?

Yes, it is. By upstream I actually mean a non-RHEL kernel/driver. I 
tried but so far couldn't reproduce this issue in-house, sorry. My ports 
always answer ETH :) So I have to ask for customer to test and then 
unfortunately things get complicated..

Thanks,
Marcelo